$$
#===================
# ADDITIONAL ERRORS
#===================

#additional error messages printed and stored by error()

#the file doesn't exist
ERR_NOTEXIST=30

#the extension of file is not .t[glbx]z
ERR_INVAL_EXT=31

#error writing database
ERR_WRITE_DB=63

#installation failed: extracting files failed
ERR_INST_EXTRACT=66

#error copying doinst.sh
ERR_CP_DOINST=71

#error executing doinst.sh
ERR_EXEC_DOINST=72

#backup error
ERR_BKUP=74

error+=(
  [30]="file doesn't exist"   #temporary till url support is worked out
  [31]="invalid package extension: package doesnot end in .tgz,.txz,.tlz or .tbz"
  #[32]="download cancelled by user"
  #[33]="failed to download package using given url"
  #[61]="failed to extract install/"
  #[62]="couldnot fetch filelist ,compression envelope possibly corrupt"
  [63]="installation failed: storing package metadata failed"
  #[64]="trying to overwrite an existing file"
  #[65\="couldnot remove an existing symlink with same name as a file in the package"
  [66]="installation failed: unable to extract package files"
  [71]="configuration failed:failed to copy doinst.sh to scripts directory"
  [72]="configuration failed:error executing doinst.sh"
  #[73]="configuration failed:failed to extract doinst.sh"
  [74]="error backing up files"
)
